# $Revision: 1.36 $, $Date: 2004/05/06 18:09:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	SimpleParse
Summary:	HTML::SimpleParse - a bare-bones HTML parser
Summary(pl):	HTML::SimpleParse - analizator skadniowy "goego szkieletu" HTML-a
Name:		perl-HTML-SimpleParse
Version:	0.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f557818d78932654f9ca8dfeae2566b1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTML::SimpleParse module is a simple HTML parser.  It is similar
in concept to HTML::Parser, but it differs from HTML::TreeBuilder in a
couple of important ways.

%description -l pl
HTML::SimpleParse jest prostym moduem pozwalajcym analizowa pliki
HTML. Jest podobny w idei do HTML::Parser, ale rni si w kilku
istotnych sprawach od HTML::TreeBuilder.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/SimpleParse.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-SimpleParse.spec,v $
Revision 1.36  2004/05/06 18:09:41  ankry
- fixed perl-devel BR

Revision 1.35  2004/04/25 08:29:41  ankry
- tests added

Revision 1.34  2004/04/22 09:08:42  ankry
- summary/desc

Revision 1.32  2003/09/15 11:44:18  adamg
- updated to 0.12

Revision 1.31  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:33:04  ankry
- massive attack: change CPAN URLs

Revision 1.23  2003/02/05 16:18:27  ankry
- autoupdated to 0.11

Revision 1.22  2002/11/26 00:14:04  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.21  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:15:55  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:27:20  depesz
adapterized

Revision 1.15  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/02 15:53:22  kloczek
- bump release to 5 for allow upgrade from MDK.

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:10:22  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:04:11  mis
- updated (by autoup) to 0.10

Revision 1.9  2001/01/08 19:57:16  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:47:20  pius
 -updated to 0.08

Revision 1.2  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
